%define desktop_file 1
%define desktop_file_utils_version 0.2.90
%define have_freetype_2_0_5 1
%define t1lib_version 1.3
%define freetype_version 2.0.9
%define langs 1.01

Summary: A PDF file viewer for the X Window System.
Name: xpdf
Version: 1.01
Release: 12.1
License: GPL
Source0: ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.foolabs.com/pub/xpdf/t1lib-%{t1lib_version}.tar.bz2
Source2: http://www.freetype.org/freetype-%{freetype_version}.tar.bz2
Source3: ftp://ftp.foolabs.com/pub/xpdf/xpdf-chinese-simplified-%{langs}.tar.bz2
Source4: ftp://ftp.foolabs.com/pub/xpdf/xpdf-chinese-traditional-%{langs}.tar.bz2
Source5: ftp://ftp.foolabs.com/pub/xpdf/xpdf-japanese-%{langs}.tar.bz2
Source6: ftp://ftp.foolabs.com/pub/xpdf/xpdf-korean-%{langs}.tar.bz2
Source7: ftp://ftp.foolabs.com/pub/xpdf/xpdf-cyrillic-%{langs}.tar.gz
Source8: ftp://ftp.foolabs.com/pub/xpdf/xpdf-thai-%{langs}.tar.gz
Source10: xpdf.desktop
Source11: xpdf-handle-url
Patch0: xpdf-1.00-redhat.patch
Patch1: xpdf-1.00-lang.patch
Patch2: xpdf-1.01-LTKFileReq.patch
Patch3: xpdf-1.01-pdftops.patch
Patch4: xpdf-1.01-url.patch
Epoch: 1
Url: http://www.foolabs.com/xpdf/
Group: Applications/Publishing
Requires: urw-fonts
%if %{have_freetype_2_0_5}
BuildPrereq: freetype-devel >= 2.0.5
%endif
%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif
BuildRoot: %{_tmppath}/%{name}-root

%package chinese-simplified
Summary: Chinese Simplified support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package chinese-traditional
Summary: Chinese Traditional support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package korean
Summary: Korean support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package japanese 
Summary: Japanese support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files. Xpdf is a small and efficient program which uses
standard X fonts.

%description chinese-simplified
This package provides support files needed to use the Xpdf tools with
Chinese (Simplified) PDF files.

Contents include: Adobe-GB1 character collection support, ISO-2022-CN
encoding, and EUC-CN encoding

%description chinese-traditional
This package provides support files needed to use the Xpdf tools with
Chinese (Traditional) PDF files.

Contents include: Adobe-CNS1 character collection support and Big5
encoding

%description japanese
This package provides support files needed to use the Xpdf tools with
Japanese PDF files.

Contents include: Adobe-Japan1 character collection support,
ISO-2022-JP encoding, and EUC-JP encoding Shift-JIS encoding

%description korean
This package provides support files needed to use the Xpdf tools with
Korean PDF files.

Contents include: Adobe-Korea1 character collection support and
KSX1001 encoding

%prep
%if %{have_freetype_2_0_5}
%setup -q -a 1 -a 3 -a 4 -a 5 -a 6
%else
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6
%endif
%patch -p1 -b .redhat
%patch1 -p0 -b .config
%patch2 -p1 -b .filedialog
%patch3 -p1 -b .sec
%patch4 -p1 -b .sec

%build
cd T1Lib-%{t1lib_version}
%configure --disable-shared --enable-static
make %{?_smp_mflags} without_doc
cd ..

%if !%{have_freetype_2_0_5}
cd freetype-%{freetype_version}
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make setup CFG="--prefix=/usr --enable-static --disable-shared"
make %{?_smp_mflags}
cd ..
%endif

%configure --with-gzip --enable-opi \
	--enable-freetype2 \
	--with-appdef-dir=/usr/X11R6/lib/X11/app-defaults/ \
	--with-t1-library=`pwd`/T1Lib-%{t1lib_version}/lib/.libs \
	--with-t1-includes=`pwd`/T1Lib-%{t1lib_version}/lib \
%if %{have_freetype_2_0_5}
	--with-freetype2-includes=%{_includedir}/freetype2
%else
    --with-freetype2-includes=`pwd`/freetype-%{freetype_version} \
    --with-freetype2-library=`pwd`/freetype-%{freetype_version}/objs/.libs
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics \
         $RPM_BUILD_ROOT%{_datadir}/xpdf/chinese-simplified \
         $RPM_BUILD_ROOT%{_datadir}/xpdf/chinese-traditional \
         $RPM_BUILD_ROOT%{_datadir}/xpdf/japanese \
         $RPM_BUILD_ROOT%{_datadir}/xpdf/korean \

make install DESTDIR=$RPM_BUILD_ROOT
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/applications/net-xpdf.desktop
%else
install -m 0644 %{SOURCE10} $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/
%endif
install -m 0755 %{SOURCE11} $RPM_BUILD_ROOT%{_bindir}/

cp -rf xpdf-chinese-simplified/* $RPM_BUILD_ROOT%{_datadir}/xpdf/chinese-simplified/
cp -rf xpdf-chinese-traditional/* $RPM_BUILD_ROOT%{_datadir}/xpdf/chinese-traditional/
cp -rf xpdf-japanese/* $RPM_BUILD_ROOT%{_datadir}/xpdf/japanese/
cp -rf xpdf-korean/* $RPM_BUILD_ROOT%{_datadir}/xpdf/korean/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man?/*
%config(noreplace) %verify(not md5 size mtime) /etc/xpdfrc
%if %{desktop_file}
%{_datadir}/applications/*
%else
%attr(0644,root,root) /etc/X11/applnk/Graphics/xpdf.desktop
%endif

%files chinese-simplified
%defattr(-,root,root)
%doc README
%{_datadir}/xpdf/chinese-simplified

%files chinese-traditional
%defattr(-,root,root)
%doc README
%{_datadir}/xpdf/chinese-traditional

%files japanese
%defattr(-,root,root)
%doc README
%{_datadir}/xpdf/japanese

%files korean
%defattr(-,root,root)
%doc README
%{_datadir}/xpdf/korean

%changelog
* Tue Aug 12 2003 Peter Hanecak <hanecak@megaloman.sk> 1.01-12.1
- .bz2 source archives

* Thu Jul 10 2003 Than Ngo <than@redhat.com> 1.01-12
- xpdf vulnerability - CAN-2003-0434

* Thu Jun  5 2003 Than Ngo <than@redhat.com> 1.01-11
- fix a securiry bug VU#200132

* Wed Dec 18 2002 Than Ngo <than@redhat.com> 1.01-10
- Security fixes.

* Mon Aug 26 2002 Than Ngo <than@redhat.com> 1.01-8
- add descriptive name (bug #71673)

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Than Ngo <than@redhat.com> 1.01-6
- desktop file issue (bug #69554)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.01-5
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.01-4
- automated rebuild

* Sun Jun 2 2002 Than Ngo <than@redhat.com> 1.01-3
- fix a bug in open file dialog (bug #39844)
- 1.01 handles Type 3 fonts (bug #48843)

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Harald Hoyer <harald@redhat.de> 1.01-1
- xpdf-1.01, freetype-2.0.9

* Sun Mar 17 2002 Than Ngo <than@redhat.com> 1.00-3
- rebuild

* Wed Feb 21 2002 Than Ngo <than@redhat.com> 1.00-2
- fix Bad 'urlCommand' (bug #59730)

* Tue Feb 05 2002 Than Ngo <than@redhat.com> 1.00-1
- update to 1.00 (bug #59239, #48904)
- remove some patch files, which are included in 1.00
- sub packages for chinese-simplified, chinese-traditional, japanese and korean

* Fri Jan 25 2002 Than Ngo <than@redhat.com> 0.93-4
- rebuild in rawhide

* Mon Nov 12 2001 Than Ngo <than@redhat.com> 0.93-2
- enable Chinese GB font support
- enable Chinese CNS font support
- enable use of FreeType 2

* Mon Oct 29 2001 Than Ngo <than@redhat.com> 0.93-1
- update to 0.93

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Wed Mar 28 2001 Than Ngo <than@redhat.com>
- add german translation into desktop file
- move desktop file to /etc/X11/applnk/Graphics (Bug #32720)

* Tue Jan 02 2001 Than Ngo <than@redhat.com>
- added a default URL handler script with a corresponding definition
  in Xpdf, thanks to Michal Jaegermann <michal@harddata.com> (Bug #23112)

* Mon Dec 04 2000 Than Ngo <than@redhat.com>
- updated to 0.92 (Bug #16646)
- remove some patches, which included in xpdf-0.92

* Mon Oct 16 2000 Than Ngo <than@redhat.com>
- rebuild for 7.1

* Wed Oct 11 2000 Than Ngo <than@redhat.com>
- fix update problem (Bug #17924)

* Thu Aug 17 2000 Than Ngo <than@redhat.com>
- update to 0.91 (Bug #9961 and many major bugs) 

* Sun Aug 06 2000 Than Ngo <than@redhat.de>
- added swedish translation (Bug 15312)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 16 2000 Than Ngo <than@redhat.de>
- enable Japanese font support

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- FHS paths
- better .desktop entry file

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- fix xpdf crashes on some data streams (Bug# 10154) (thanks Derek)
- add %%defattr
- use rpm macros

* Tue May 23 2000 Ngo Than <than@redhat.de>
- fix problem with loading fonts

* Sun May 21 2000 Ngo Than <than@redhat.de>
- put man pages in /usr/share/man/*
- update t1lib-1.0.1

* Mon May 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed URL

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- build for inclusion in 6.2.

* Wed Feb 09 2000 Jakub Jelinek <jakub@redhat.com>
- include decryption patches

* Mon Feb 07 2000 Presto Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- upgrade to xpdf 0.90, include t1lib Type1 rasterizer
- fix zapfdingbats font mapping issue

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- converted wmconfig to desktop entry

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- updated to 0.80

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- patched to compile with new, stricter egcs

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.7a

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig
